<script setup lang="ts">
import CreateSignedDocumentModal  from "@/components/CreateSignedDocumentModal.vue";
import { ref } from "vue";
import Scrollable from '@/components/Scrollable.vue';

const signModalRef = ref();
const signOptions = {
  userInfo: {
    accessToken: "ABCDE",
  },
  signStrategy: {
    type: "b2b-center-iframe-with-prerequest",
    intentID: "ABCDE12345567",
    backendApi: { baseUrl: "https://iframe_mvp.b2b.test", path: "/api/eds/" },
  },
  onSignStrategy: {
    type: "b2b-center-iframe-create-signed-doc",
  },
  // TODO: обработать документ на бекенде
  onDone: (result: any): void => {
    console.log(result);
  },
  onError: (error: Error): void => {
    console.error(error);
  },
};
const createSignature = () => {
  console.log("create signature");
  const { createSignature } = signModalRef.value;
  createSignature(signOptions);
};
</script>

<template>
  <CdsContainer>
    <CdsContainerItem>
      <CreateSignedDocumentModal v-slot="{ createSignature }">
          <CdsButton @click="createSignature(signOptions)">Подписать</CdsButton>
      </CreateSignedDocumentModal>
      <CdsButton @click="createSignature">create signature</CdsButton>
    </CdsContainerItem>
  </CdsContainer>
</template>
